<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Competency extends Model
{
    use HasFactory;

    protected $table = 'competency';
    protected $fillable = [
        'name',
        'prefix',
        'company_id',
    ];
    public function TrainingService()
    {
        return $this->belongsTo(TrainingService::class);
    }
}
