<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Relations\HasOne;
use Illuminate\Database\Eloquent\Model;

class TrainingService extends Model
{
    use HasFactory;
    protected $table = 'training_services';
    protected $fillable = [
        'name',
        'competency_id',
        'company_id',
        'curriculum',
    ];

    /* @return GroupsCompany Object
     */
    public function competencies(): HasOne
    {
        return $this->hasOne(Competency::class, 'id','competency_id');
    }
}