<?php

namespace App\Models\Trait;

trait ModelForCompanyTrait
{
    public function scopeForCompany($query, array $columns = ['*'])
    {
        return $query
            ->select($columns)
            ->where('company_id', auth()->user()->company_id)
            ->latest()
            ->get();
    }
}
