<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class UserSetting extends Model
{
    use HasFactory;

    protected $table = "users_settings";

    protected $fillable = [
        'id',
        'user_id',
        'layout',
        'sidebar_type',
        'boxed_layout',
        'direction',
        'theme',
        'color_theme',
        'card_border'
    ];
}
