<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Update;
use App\Models\UserSetting;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class OtherController extends Controller
{
    /**
     * info
     */
    public function info()
    {
        $data = array();
        return view('other.info', $data);
    }

    /**
     * update
     */
    public function update()
    {
        $data = array();

        $update_installed = Update::where('status', '=', 'Installed')
            ->orderBy('date', 'desc')
            ->get();
        $update_comming = Update::where('status', '=', 'Comming')
            ->orderBy('date', 'desc')
            ->get();
        
        $data['update_installed'] = $update_installed;
        $data['update_comming'] = $update_comming;
        return view('other.update', $data);
    }

    /**
     * save setting theme
     */
    public function save_setting(Request $request)
    {
        $name = $request->input("name");
        $value = $request->input("value");
        $user_id = Auth::user()->id;
        $user_setting = UserSetting::where('user_id', '=', $user_id)
            ->first();
        $user_setting->$name = $value;
        $user_setting->save();
        echo "$user_setting->id : $name => $value";
    }
}
