<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Storage;
use stdClass;

class AppController extends Controller
{
    /**
     * get_object
     */
    public function get_object(Request $request)
    {
        $model = $request->model;
        $id = $request->id ? : 0;
        $duration = isset($request->duration) ? $request->duration : 'second';
        $object = new stdClass();

        eval("\$object = App\Models\\$model::find($id);");
        $this->check_company($object);

        if (isset($object->company))
        {
            $object->company = $object->company;
        }

        if (isset($object->duration) && $duration)
        {
            if ($duration == 'second')
            {
                $object->duration = $this->second_to_time($object->duration);
            }
            else if ($duration == 'minute')
            {
                $object->duration = $this->minute_to_time($object->duration);
            }
        }

        return $object;
    }

    /**
     * completed_info
     */
    public static function completed_info($user_training)
    {
        $completed = count($user_training->track_records) ? true : false;
        $timestamp = false;

        $duration = 0;
        foreach ($user_training->track_records as $track_record)
        {
            $duration += $track_record->duration;
        }

        foreach ($user_training->track_records as $i => $track_record)
        {
            if (!$track_record->answer_points)
            {
                $track_record->answer_points = -1;
            }
            if ($i == 0)
            {
                $timestamp = $track_record->last_stop;
            }
            if ($track_record->answer_points == -1)
            {
                $completed = false;
                break;
            }
            if ($timestamp < $track_record->last_stop)
            {
                $timestamp = $track_record->last_stop;
            }
        }

        $date = false;
        if ($timestamp) 
        {
            $date = date("Y-m-d", $timestamp);
        }
        return ['completed' => $completed, 'date' => $date, 'duration' => $duration];
    }
}
