<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class LockoutItems extends Model
{
    use HasFactory;

    protected $fillable = [
        'lockout_id',
        'order',
        'itemable_type',
        'itemable_id',
        'position_operation_id',
        'position_cad_id',
        'instruction_id',
        'mechanism_id'
    ];

    public function itemable()
    {
        return $this->morphTo();
    }

    public function lockout()
    {
        return $this->belongsTo(Lockouts::class);
    }
}
