<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class LockoutTrades extends Model
{
    use HasFactory;

    protected $fillable = ['order', 'lockout_id', 'trade_id'];

    protected $casts = [
        'order' => 'integer',
    ];

    public function lockout()
    {
        return $this->belongsTo(Lockouts::class);
    }

    public function trade()
    {
        return $this->belongsTo(Trades::class);
    }
}
