<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasOne;

class ReportEntry extends Model
{
    use HasFactory;

    protected $table = 'report_entries';

    /**
     * Get the report
     * 
     * @return Report Object
     */
    public function report(): HasOne
    {
        return $this->hasOne(Report::class, 'id', 'report_id')->withDefault();
    }
}
