<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Trades extends Model
{
    use SoftDeletes;

    protected $fillable = [
        'name',
        'details',
        'company_id',
    ];

    public function company()
    {
        return $this->belongsTo(Company::class);
    }

    public function lockouts()
    {
        return $this->belongsToMany(Lockouts::class, 'lockouts_trades', 'trade_id', 'lockout_id');
    }
}
