<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;

class Update extends Model
{
    use HasFactory;

    protected $table = 'updates';

    public function roles(): HasMany
    {
        return $this->hasMany(UpdatesRoles::class);
    }
}
