<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasOne;

class UpdatesRoles extends Model
{
    use HasFactory;

    protected $table = 'updates_roles';

    /**
     * Get the role
     * 
     * @return Role Object
     */
    public function role(): HasOne
    {
        return $this->hasOne(Role::class, 'id');
    }
}
